Vehicle Warranty API Documentation
Welcome to Vehicle Databases API's Documentation
Vehicle Warranty
GETJSON ResponseOverview
Our Warranty API provides information on the type and length of any vehicles warranty when called by year, make and model. This API covers any kind of warranty, including basic, powertrain, drivetrain, corrosion, road assistance, etc.
- COVERAGE
- This API supports US and Canada manufacturers from year 1992 to 2026.
- SUPPORT
- North American region
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-warranty/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-warranty/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle year
makeRequired- Vehicle make
modelRequired- Vehicle model
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2022",
"make": "BMW",
"model": "750",
"warranty": {
"Warranty - Basic (months/miles)": "48/50,000",
"Warranty - Corrosion perforation (months/miles)": "144/ unlimited",
"Warranty - Maintenance (months/miles)": "36/36,000",
"Warranty - Powertrain (months/miles)": "48/50,000",
"Warranty - Roadside assistance coverage (months/miles)": "48/ unlimited"
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Warranty
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicle from 1999 to 2026
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-warranty/options/v2/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-warranty/options/v2/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"years": [
"1992",
"1993",
"1994",
"1995",
"1996",
"1997",
"1998",
"1999",
"2000",
"2001",
"2002",
"2003",
"2004",
"2005",
"2006",
"2007",
"2008",
"2009",
"2010",
"2011",
"2012",
"2013",
"2014",
"2015",
"2016",
"2017",
"2018",
"2019",
"2020",
"2021",
"2022",
"2023",
"2024",
"2025",
"2026"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Warranty
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-warranty/options/v2/make/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-warranty/options/v2/make/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2022",
"make": [
"Acura",
"Alfa Romeo",
"Aston Martin",
"Audi",
"BMW",
"Bentley",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Dodge",
"Ferrari",
"Fiat",
"Ford",
"GMC",
"Genesis",
"Honda",
"Hyundai",
"Infiniti",
"Jaguar",
"Jeep",
"KIA",
"Lamborghini",
"Land Rover",
"Lexus",
"Lincoln",
"Lucid",
"Maserati",
"Mazda",
"Mclaren",
"Mercedes-Benz",
"Mini",
"Mitsubishi",
"Nissan",
"Polestar",
"Porsche",
"RAM",
"Rivian",
"Rolls-Royce",
"Subaru",
"Tesla",
"Toyota",
"Volkswagen",
"Volvo"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Warranty
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-warranty/options/v2/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-warranty/options/v2/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2022",
"make": "BMW",
"models": [
"228 Gran Coupe",
"230",
"330",
"330E",
"430",
"430 Gran Coupe",
"530",
"530E",
"540",
"740",
"745E",
"750",
"840",
"840 Gran Coupe",
"Alpina B7",
"Alpina B8 Gran Coupe",
"Alpina XB7",
"I4",
"IX",
"M235 Gran Coupe",
"M240",
"M3",
"M340",
"M4",
"M440",
"M440 Gran Coupe",
"M5",
"M550",
"M760",
"M8",
"M8 Gran Coupe",
"M850",
"M850 Gran Coupe",
"X1",
"X2",
"X3",
"X3 M",
"X4",
"X4 M",
"X5",
"X5 M",
"X5 Phev",
"X6",
"X6 M",
"X7",
"Z4"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.